from trytond.model import ModelSQL, ModelView, fields

class AutomationRuleSet(ModelSQL, ModelView):
    'Automation Rule Set'
    __name__ = 'automation.rule.set'

    name = fields.Char('Name')
    document_type = fields.Char('Document Type')
    ocr_required = fields.Boolean('OCR Required')
    structure_required = fields.Boolean('Structure Required')
    table_required = fields.Boolean('Table Required')
    metadata_required = fields.Boolean('Metadata Required')
    python_hook_pre = fields.Text('Python Hook Pre')
    python_hook_post = fields.Text('Python Hook Post')
